import type { CompleteDriverOnboardingResult } from '@core/racing/application/use-cases/CompleteDriverOnboardingUseCase';
import type { CompleteOnboardingOutputDTO } from '../dtos/CompleteOnboardingOutputDTO';

export class CompleteOnboardingPresenter {
  private responseModel: CompleteOnboardingOutputDTO | null = null;

  present(data: CompleteDriverOnboardingResult): void {
    this.responseModel = {
      success: true,
      driverId: data.driver.id,
    };
  }

  getResponseModel(): CompleteOnboardingOutputDTO {
    if (!this.responseModel) throw new Error('Presenter not presented');
    return this.responseModel;
  }
}
